Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class SelectedWorkDirApprover

    java.lang.Object
      com.sun.javatest.tool.SelectedWorkDirApprover

    public class SelectedWorkDirApprover

extends java.lang.Object

Constructor Summary
`SelectedWorkDirApprover(int mode, java.awt.Component parent)` Create a WorkDirChooser, initially showing the user's current directory.

Method Summary
`boolean` | `approveNewSelection(java.io.File dir, TestSuite testSuite)`
`boolean` | `approveOpenSelection(java.io.File dir, TestSuite testSuite)`
`WorkDirectory` | `getWorkDirectory()`
`boolean` | `isApprovedOpenSelection_dirExists()`
`static boolean` | `isIgnoreable(java.io.File f)`
`boolean` | `isOpenedInsteadOfCreated()`
`boolean` | `isWorkDirectory(java.io.File f)`
`void` | `setMode(int mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectedWorkDirApprover

    public SelectedWorkDirApprover(int mode,
                                   java.awt.Component parent)

  Create a WorkDirChooser, initially showing the user's current directory.

Method Detail

### setMode

    public void setMode(int mode)

### approveNewSelection

    public boolean approveNewSelection(java.io.File dir,
                                       TestSuite testSuite)

### approveOpenSelection

    public boolean approveOpenSelection(java.io.File dir,
                                        TestSuite testSuite)

### isWorkDirectory

    public boolean isWorkDirectory(java.io.File f)

### isIgnoreable

    public static boolean isIgnoreable(java.io.File f)

### isApprovedOpenSelection_dirExists

    public boolean isApprovedOpenSelection_dirExists()

### getWorkDirectory

    public WorkDirectory getWorkDirectory()

### isOpenedInsteadOfCreated

    public boolean isOpenedInsteadOfCreated()

  Returns:
    true if the work dir is opened when expected to be created (trying to create workdir which already exists)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.